<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (15) on Fri Jun 18 20:43:06 CEST 2021 -->
<title>A-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-06-18">
<meta name="description" content="index: A">
<meta name="generator" content="javadoc/SplitIndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="split-index-page">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">L</a>&nbsp;<a href="index-9.html">M</a>&nbsp;<a href="index-10.html">N</a>&nbsp;<a href="index-11.html">O</a>&nbsp;<a href="index-12.html">R</a>&nbsp;<a href="index-13.html">S</a>&nbsp;<a href="index-14.html">U</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a>
<h2 class="title" id="I:A">A</h2>
<dl class="index">
<dt><span class="member-name-link"><a href="../fr/iut/librarymanagement/controller/AuthorController.html#addAuthor(fr.iut.librarymanagement.domain.Author)">addAuthor(Author)</a></span> - Method in class fr.iut.librarymanagement.controller.<a href="../fr/iut/librarymanagement/controller/AuthorController.html" title="class in fr.iut.librarymanagement.controller">AuthorController</a></dt>
<dd>
<div class="block">Create an author</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/iut/librarymanagement/controller/BookController.html#addBook(fr.iut.librarymanagement.domain.Book)">addBook(Book)</a></span> - Method in class fr.iut.librarymanagement.controller.<a href="../fr/iut/librarymanagement/controller/BookController.html" title="class in fr.iut.librarymanagement.controller">BookController</a></dt>
<dd>
<div class="block">Create an book</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/iut/librarymanagement/controller/LibraryController.html#addLibrary(fr.iut.librarymanagement.domain.Library)">addLibrary(Library)</a></span> - Method in class fr.iut.librarymanagement.controller.<a href="../fr/iut/librarymanagement/controller/LibraryController.html" title="class in fr.iut.librarymanagement.controller">LibraryController</a></dt>
<dd>
<div class="block">Create an library</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/iut/librarymanagement/domain/User.html#addLibrary(org.bson.types.ObjectId)">addLibrary(ObjectId)</a></span> - Method in class fr.iut.librarymanagement.domain.<a href="../fr/iut/librarymanagement/domain/User.html" title="class in fr.iut.librarymanagement.domain">User</a></dt>
<dd>
<div class="block">Add a library where a user is</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/iut/librarymanagement/domain/Book.html#addOpinion(fr.iut.librarymanagement.domain.Opinion)">addOpinion(Opinion)</a></span> - Method in class fr.iut.librarymanagement.domain.<a href="../fr/iut/librarymanagement/domain/Book.html" title="class in fr.iut.librarymanagement.domain">Book</a></dt>
<dd>
<div class="block">Add an opinion to a book</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/iut/librarymanagement/controller/BookController.html#addOpinion(java.lang.Long,fr.iut.librarymanagement.domain.Opinion)">addOpinion(Long, Opinion)</a></span> - Method in class fr.iut.librarymanagement.controller.<a href="../fr/iut/librarymanagement/controller/BookController.html" title="class in fr.iut.librarymanagement.controller">BookController</a></dt>
<dd>
<div class="block">Add an opinion to a book</div>
</dd>
<dt><a href="../fr/iut/librarymanagement/domain/Address.html" title="class in fr.iut.librarymanagement.domain"><span class="type-name-link">Address</span></a> - Class in <a href="../fr/iut/librarymanagement/domain/package-summary.html">fr.iut.librarymanagement.domain</a></dt>
<dd>
<div class="block">Represent an address, for the libraries</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/iut/librarymanagement/domain/Address.html#%3Cinit%3E()">Address()</a></span> - Constructor for class fr.iut.librarymanagement.domain.<a href="../fr/iut/librarymanagement/domain/Address.html" title="class in fr.iut.librarymanagement.domain">Address</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/iut/librarymanagement/domain/Address.html#%3Cinit%3E(int,java.lang.String,int,java.lang.String)">Address(int, String, int, String)</a></span> - Constructor for class fr.iut.librarymanagement.domain.<a href="../fr/iut/librarymanagement/domain/Address.html" title="class in fr.iut.librarymanagement.domain">Address</a></dt>
<dd>
<div class="block">Create an address</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/iut/librarymanagement/controller/UserController.html#addUser(fr.iut.librarymanagement.domain.User)">addUser(User)</a></span> - Method in class fr.iut.librarymanagement.controller.<a href="../fr/iut/librarymanagement/controller/UserController.html" title="class in fr.iut.librarymanagement.controller">UserController</a></dt>
<dd>
<div class="block">Create an user</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/iut/librarymanagement/controller/BookController.html#addUser(java.lang.Long,org.bson.types.ObjectId)">addUser(Long, ObjectId)</a></span> - Method in class fr.iut.librarymanagement.controller.<a href="../fr/iut/librarymanagement/controller/BookController.html" title="class in fr.iut.librarymanagement.controller">BookController</a></dt>
<dd>
<div class="block">Add a user who has borrowed a book</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/iut/librarymanagement/domain/Book.html#addUser(org.bson.types.ObjectId)">addUser(ObjectId)</a></span> - Method in class fr.iut.librarymanagement.domain.<a href="../fr/iut/librarymanagement/domain/Book.html" title="class in fr.iut.librarymanagement.domain">Book</a></dt>
<dd>
<div class="block">Add a user who has borrowed a book</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/iut/librarymanagement/controller/UserController.html#addUser(org.bson.types.ObjectId,org.bson.types.ObjectId)">addUser(ObjectId, ObjectId)</a></span> - Method in class fr.iut.librarymanagement.controller.<a href="../fr/iut/librarymanagement/controller/UserController.html" title="class in fr.iut.librarymanagement.controller">UserController</a></dt>
<dd>
<div class="block">Add a library where a user is</div>
</dd>
<dt><a href="../fr/iut/librarymanagement/domain/Author.html" title="class in fr.iut.librarymanagement.domain"><span class="type-name-link">Author</span></a> - Class in <a href="../fr/iut/librarymanagement/domain/package-summary.html">fr.iut.librarymanagement.domain</a></dt>
<dd>
<div class="block">Represent an author in base</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/iut/librarymanagement/domain/Author.html#%3Cinit%3E()">Author()</a></span> - Constructor for class fr.iut.librarymanagement.domain.<a href="../fr/iut/librarymanagement/domain/Author.html" title="class in fr.iut.librarymanagement.domain">Author</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/iut/librarymanagement/domain/Author.html#%3Cinit%3E(java.lang.String,java.lang.String,java.lang.String)">Author(String, String, String)</a></span> - Constructor for class fr.iut.librarymanagement.domain.<a href="../fr/iut/librarymanagement/domain/Author.html" title="class in fr.iut.librarymanagement.domain">Author</a></dt>
<dd>
<div class="block">Create an Author</div>
</dd>
<dt><a href="../fr/iut/librarymanagement/controller/AuthorController.html" title="class in fr.iut.librarymanagement.controller"><span class="type-name-link">AuthorController</span></a> - Class in <a href="../fr/iut/librarymanagement/controller/package-summary.html">fr.iut.librarymanagement.controller</a></dt>
<dd>
<div class="block">Controller for authors</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/iut/librarymanagement/controller/AuthorController.html#%3Cinit%3E(fr.iut.librarymanagement.repository.AuthorRepository)">AuthorController(AuthorRepository)</a></span> - Constructor for class fr.iut.librarymanagement.controller.<a href="../fr/iut/librarymanagement/controller/AuthorController.html" title="class in fr.iut.librarymanagement.controller">AuthorController</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/iut/librarymanagement/controller/AuthorController.html#authorList(java.lang.String,java.lang.String)">authorList(String, String)</a></span> - Method in class fr.iut.librarymanagement.controller.<a href="../fr/iut/librarymanagement/controller/AuthorController.html" title="class in fr.iut.librarymanagement.controller">AuthorController</a></dt>
<dd>
<div class="block">Get all authors, or looking for all authors by firstname or lastname</div>
</dd>
<dt><a href="../fr/iut/librarymanagement/repository/AuthorRepository.html" title="interface in fr.iut.librarymanagement.repository"><span class="type-name-link">AuthorRepository</span></a> - Interface in <a href="../fr/iut/librarymanagement/repository/package-summary.html">fr.iut.librarymanagement.repository</a></dt>
<dd>
<div class="block">The repository of the Author</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">L</a>&nbsp;<a href="index-9.html">M</a>&nbsp;<a href="index-10.html">N</a>&nbsp;<a href="index-11.html">O</a>&nbsp;<a href="index-12.html">R</a>&nbsp;<a href="index-13.html">S</a>&nbsp;<a href="index-14.html">U</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a></main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
